## Class Swift_Mime_ContentEncoder_QpContentEncoder

(line 23)

## Description

    Swift_Encoder_QpEncoder
       |
       --Swift_Mime_ContentEncoder_QpContentEncoder

Located in File: /vendors/swiftMailer/classes/Swift/Mime/ContentEncoder/QpContentEncoder.php

##### Handles Quoted Printable (QP) Transfer Encoding in Swift Mailer.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_ContentEncoder_QpContentEncoder __construct (Swift_CharacterStream $charStream, [Swift_StreamFilter $filter = null])
void encodeByteStream (Swift_OutputByteStream $os, Swift_InputByteStream $is, [int $firstLineOffset = 0], [int $maxLineLength = 0])
string getName ()

#### Constructor __construct (line 32)

#### Swift_Mime_ContentEncoder_QpContentEncoder __construct( Swift_CharacterStream $charStream, [Swift_StreamFilter $filter = null])

Overrides : Swift_Encoder_QpEncoder::__construct() Creates a new QpEncoder for the given CharacterStream.

##### Creates a new QpContentEncoder for the given CharacterStream.

#### Parameters

- Swift_CharacterStream $charStream: to use for reading characters
- Swift_StreamFilter $filter: if canonicalization should occur

#### Info

- access - public

#### Method encodeByteStream (line 48)

#### void encodeByteStream( Swift_OutputByteStream $os, Swift_InputByteStream $is, [int $firstLineOffset = 0], [int $maxLineLength = 0])

Implementation of:

Swift_Mime_ContentEncoder::encodeByteStream()
  Encode $in to $out.

##### Encode stream $in to stream $out.

QP encoded strings have a maximum line length of 76 characters. If the first line needs to be shorter, indicate the difference with $firstLineOffset.

#### Parameters

- Swift_OutputByteStream $os: output stream
- Swift_InputByteStream $is: input stream
- int $firstLineOffset:
- int $maxLineLength:

#### Info

- access - public

#### Method getName (line 112)

#### string getName( )

Implementation of:

Swift_Mime_ContentEncoder::getName()
  Get the MIME name of this content encoding scheme.

##### Get the name of this encoding scheme.

Returns the string 'quoted-printable'.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

#### Inherited From Class Swift_Encoder_QpEncoder

#### Swift_Encoder_QpEncoder::$_charStream - The CharacterStream used for reading characters (as opposed to bytes).

#### Swift_Encoder_QpEncoder::$_filter - A filter used if input should be canonicalized.

#### Swift_Encoder_QpEncoder::$_qpMap - Pre-computed QP for HUGE optmization.

#### Swift_Encoder_QpEncoder::$_safeMap - A map of non-encoded ascii characters.

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Encoder_QpEncoder

#### Swift_Encoder_QpEncoder::__construct() - Creates a new QpEncoder for the given CharacterStream.

#### Swift_Encoder_QpEncoder::charsetChanged() - Updates the charset used.

#### Swift_Encoder_QpEncoder::encodeString() - Takes an unencoded string and produces a QP encoded string from it.

#### Swift_Encoder_QpEncoder::_encodeByteSequence() - Encode the given byte array into a verbatim QP form.

#### Swift_Encoder_QpEncoder::_nextSequence() - Get the next sequence of bytes to read from the char stream.

#### Swift_Encoder_QpEncoder::_standardize() - Make sure CRLF is correct and HT/SPACE are in valid places.

Documentation generated on Fri, 12 Nov 2010 20:45:27 +0000 by phpDocumentor 1.4.3